package com.zfire.jiasm.syncdata.download.other.install;

import lombok.extern.slf4j.Slf4j;

/** 未上线 新做的接口
 * 家用特殊安装申请新增
 */
@Slf4j
// @Component
public class DataAdd {
    /*
    @Resource
    TblAddUploadListService tblAddUploadListService;
    @Resource
    OtherDownService otherDownService;


    @Scheduled(fixedDelayString = "${jytsazxz}")
    public void add(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        log.info("开始新增家用特殊安装工单: \uF0B7{}",sdf.format(new Date()));
        // 提取家用特殊安装工单需要新增的数据
        List<TblAddUploadList> taus = tblAddUploadListService.lambdaQuery()
                .eq(TblAddUploadList::getSynStatus, 0).list();
        for (TblAddUploadList item : taus) {
            try{
                if (item.getTabName().equals("tbl_azwgmx_kqaz_download")) {
                    otherDownService.addKqaz(item);
                } else if (item.getTabName().equals("tbl_azwgmx_kjmm_download")) {
                    otherDownService.addKjmm(item);
                } else if (item.getTabName().equals("tbl_azwgmx_kqcjsj_download")) {
                    otherDownService.addCjsj(item);
                }
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("新增家用特殊安装工单【" + item.getTabName() +"】失败");
            }
        }
        log.info("新增家用特殊安装工单结束: \uF0B7{}",sdf.format(new Date()));
    }
    */
}
